<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
	<style>

		main{
			display:flex;
			flex-direction:column;
			width:800px;
			height:600px;
			margin:0 auto;
			border:1px solid black;
			}

			div.contenedor{
				display:flex;
				flex-direction:row;
			}

	div.izq{
		width:40%;
		height:100%;
		}

	div.der{
		width:60%;
		height:100%;
		}

	</style>


	<script type="text/javascript">
		

		window.addEventListener("load", function(){

			let entrada=document.querySelector(".entrada");
			let boton=document.querySelector(".boton");
			let tabla=[];
			tabla=document.querySelectorAll(".tabla");
			let salida=[];
			salida=document.querySelectorAll(".resultado");

			boton.addEventListener("click", function() {
				for (i=0;i<tabla.length;i++) {
					tabla[i].value=entrada.value;
					salida[i].value=entrada.value*(i+1);
				}

			});


		});
	</script>
</head>




<body>

<main>
	
	<div>
		<h1>TABLA DE MULTIPLICAR</h1>
		<hr/><br/><hr/>
	</div>
	
<div class="contenedor">
	<div class="izq">
		<span>Introduce un número</span>
		<input type="text" class="entrada">
		<input type="button" class="boton" value="CALCULAR">
	</div>

	<div class="der">
		<span>RESULTADOS</span><br/>
		<input type="text" class="tabla"><span>&nbsp;&nbsp;*&nbsp;&nbsp;1&nbsp;&nbsp;=&nbsp;&nbsp;</span><input class="resultado" type="text">
		<input type="text" class="tabla"><span>&nbsp;&nbsp;*&nbsp;&nbsp;2&nbsp;&nbsp;=&nbsp;&nbsp;</span><input class="resultado" type="text"> 
		<input type="text" class="tabla"><span>&nbsp;&nbsp;*&nbsp;&nbsp;3&nbsp;&nbsp;=&nbsp;&nbsp;</span><input class="resultado" type="text"> 
		<input type="text" class="tabla"><span>&nbsp;&nbsp;*&nbsp;&nbsp;4&nbsp;&nbsp;=&nbsp;&nbsp;</span><input class="resultado" type="text"> 
		<input type="text" class="tabla"><span>&nbsp;&nbsp;*&nbsp;&nbsp;5&nbsp;&nbsp;=&nbsp;&nbsp;</span><input class="resultado" type="text"> 
		<input type="text" class="tabla"><span>&nbsp;&nbsp;*&nbsp;&nbsp;6&nbsp;&nbsp;=&nbsp;&nbsp;</span><input class="resultado" type="text"> 
		<input type="text" class="tabla"><span>&nbsp;&nbsp;*&nbsp;&nbsp;7&nbsp;&nbsp;=&nbsp;&nbsp;</span><input class="resultado" type="text"> 
		<input type="text" class="tabla"><span>&nbsp;&nbsp;*&nbsp;&nbsp;8&nbsp;&nbsp;=&nbsp;&nbsp;</span><input class="resultado" type="text"> 
		<input type="text" class="tabla"><span>&nbsp;&nbsp;*&nbsp;&nbsp;9&nbsp;&nbsp;=&nbsp;&nbsp;</span><input class="resultado" type="text"> 
		
	</div>
</div>
</main>

	
</body>
</html>